Will Reaktor 5 files automatically upgrade to 6?

Discussion in 'REAKTOR' started by Shér Khan, Dec 6, 2019.

  1. Shér Khan

    Shér Khan New Member

    Messages:
    1
    Hello all:

    I have Komplete 10, with Reaktor 5. Since that isn't compatible with MacOS Catalina, I'm going to upgrade to Reaktor 6 or Komplete 12 in a couple days.

    One thing that's concerning me is, does NI automatically update all old Reaktor files/sessions to use the newest version? They didn't do that on Battery when moving from Battery 3 to Battery 4, so I'm currently having to either re program all of my files to use Battery 4 instead of 3 before upgrading my Mac.

    Thanks!
     
  2. Paule

    Paule NI Product Owner

    Messages:
    5,543
    You can run R5 and R6 side by side not at the same time.
    If you got a message in R6: pe. 'missing samples' or the graphics looks ugly load your ens in R5.9.4 (last version) save again and load in Reaktor 6
     
  3. Seoman303

    Seoman303 NI Product Owner

    Messages:
    164
    Files that were saved with r5 can be opened in r6 without any problems. Files saved by older versions may cause problems and you have to do as paule described. This is the case with very old ensembles from the user-library. You should keep that in mind before updating/upgrading.

    Btw. what exactly means incompatible? Are not able to install/start the program or are there known problems? Depending on that you could keep r5 as simple converter for opening and saving.
     
    • Like Like x 1